#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: nonce
version: 1.0.7
id: nonce-1.0.7-3dWSeZTfHBL9DHU882OceB
key: nonce-1.0.7-3dWSeZTfHBL9DHU882OceB
license: BSD-3-Clause
copyright: (c) 2014 Prowdsponsor
maintainer: Prowdsponsor <opensource@prowdsponsor.com>
author: Felipe Lessa <felipe.lessa@prowdsponsor.com>
homepage: https://github.com/prowdsponsor/nonce
synopsis: Generate cryptographic nonces.
description:
    According to the Wikipedia, a nonce is an arbitrary number used
    only once in a cryptographic communication.  This package
    contain helper functions for generating nonces.
    .
    There are many kinds of nonces used in different situations.
    It'\''s not guaranteed that by using the nonces from this package
    you won'\''t have any security issues.  Please make sure that the
    nonces generated via this package are usable on your design.
category: Cryptography
abi: d93be216ea056bb3f22fc11378b9ccad
exposed: True
exposed-modules:
    Crypto.Nonce
import-dirs: /usr/lib/ghc-8.6.1/site-local/nonce-1.0.7
library-dirs: /usr/lib/ghc-8.6.1/site-local/nonce-1.0.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.6.1/nonce-1.0.7
hs-libraries: HSnonce-1.0.7-3dWSeZTfHBL9DHU882OceB
depends:
    base-4.12.0.0 base64-bytestring-1.0.0.1-G3Br32Wzx6yIe8CvhfIHtS
    bytestring-0.10.8.2 entropy-0.4.1.3-IxkqMjuefoT8uP0p0wmXuD
    text-1.2.3.1 transformers-0.5.5.0
    unliftio-0.2.8.1-72WiSTYTH7I6piEepwlDSY
    unliftio-core-0.1.2.0-6l4GP0ylCTM6crlVTDgRiK
haddock-interfaces: /usr/share/doc/haskell-nonce/html/nonce.haddock
haddock-html: /usr/share/doc/haskell-nonce/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

